Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class TCSRuntime.Context

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime.Context

Enclosing class:
  `TCSRuntime`

protected class TCSRuntime.Context extends Object

## Constructor Summary

Constructors
Constructor
Description
`Context()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object e)`
`void`
`add(Object e, String valueTypeName, String keyName, Object keyVal)`
`TCSRuntime.Context`
`enterContext(Object element)`
`Object`
`getElement()`
`Map`
`getElementByVal(String valueTypeName, String keyName)`
`void`
`importContext(TCSRuntime.Context c)`
`TCSRuntime.Context`
`parent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Context

public Context()

## Method Details

### enterContext

public TCSRuntime.Context enterContext(Object element)

### add

public void add(Object e)

### add

public void add(Object e, String valueTypeName, String keyName, Object keyVal)

### parent

public TCSRuntime.Context parent()

### importContext

public void importContext(TCSRuntime.Context c)

### getElement

public Object getElement()

### getElementByVal

public Map getElementByVal(String valueTypeName, String keyName)

Parameters:
  `valueTypeName` -
  `keyName` -